summaryrefslogtreecommitdiff
path: root/scripts/sha256sum
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/sha256sum')
-rwxr-xr-xscripts/sha256sum5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/sha256sum b/scripts/sha256sum
index da34d9113..2a7ffb6f7 100755
--- a/scripts/sha256sum
+++ b/scripts/sha256sum
@@ -4,6 +4,11 @@
if [ -x /usr/bin/sha256sum ]; then
/usr/bin/sha256sum "$@"
+elif [ -x /bin/cksum ] && [ $(echo | cksum -a sha256) = 01ba4719c80b6fe911b091a7c05124b64eeece964e09c058ef8f9805daca546b ]; then
+ # we assume the arguments are exactly "-c" or "-c -"
+ x=$(sed 's/^\([0-9a-fA-F]*\) *\([^ ].*\)$/SHA256 (\2) = \1/' | cksum -c -a sha256)
+ [[ $x = *FAILED* ]] && exit 1
+ exit 0
else
tmp=$(mktemp -t yyy)
cat - > $tmp